/*
 *  POOSV 2024
 * Marco Antognini & Jamila Sam
 */

#include <Tests/GraphicalTests/LabTest.hpp>
#include <Env/Lab.hpp>
//#include <Env/Hamster.hpp> // UNCOMMENT WHEN READY
//#include <Env/Pellets.hpp> // UNCOMMENT WHEN READY
#include <Utility/Utility.hpp>

IMPLEMENT_MAIN(LabTest)

void LabTest::onRun()
{
	Application::onRun();

}

void LabTest::onEvent(sf::Event event, sf::RenderWindow&)
{
if (event.type == sf::Event::KeyPressed) {
	switch (event.key.code) {
        case sf::Keyboard::H:
			{
			  /* 
			     // UNCOMMENT WHEN READY TO TEST
			     getAppEnv().addAnimal(new Hamster
			     (getCursorPositionInView())); 
                         */
			}
				break;
	
		case sf::Keyboard::F: // F for food
		  {
		    /* 
		       // UNCOMMENT WHEN READY TO TEST
                    mLastCreatedPellets = new Pellets (getCursorPositionInView());
                    getAppEnv().addFood(mLastCreatedPellets);
                    */
			}
				break;
    case sf::Keyboard::E: //E for "Eat"
    {
      /*
        // UNCOMMENT WHEN READY TO TEST
        if (mLastCreatedPellets != nullptr)
            mLastCreatedPellets->provideEnergy(10);
      */
    }
            break;
    default:
			break;
			}
	}
}
/*
  void LabTest::resetStats(){
  // Application::resetStats();

  }
*/
void LabTest::onDraw(sf::RenderTarget& /*target*/)
{
  // ADD INSTRUCTIONS IF NEEDED
}
std::string LabTest::getWindowTitle() const {
  return getAppConfig().window_title  + " (LabTest)";
}

std::string LabTest::getHelpTextFile() const {
    return RES_LOCATION + "help-lab.txt";
}
